Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(504)

Unified Diff: net/tools/quic/certs/generate-certs.sh

Issue 1330223003: Add scripts for generating certs to be used with the quic_server (Closed) Base URL: https://chromium.googlesource.com/chromium/src.git@master
Patch Set: fix comments Created 5 years, 3 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « net/tools/quic/certs/ca.cnf ('k') | net/tools/quic/certs/leaf.cnf » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: net/tools/quic/certs/generate-certs.sh
diff --git a/net/tools/quic/certs/generate-certs.sh b/net/tools/quic/certs/generate-certs.sh
new file mode 100755
index 0000000000000000000000000000000000000000..11dde0703a60da2d08b3440c3518daf945a129e0
--- /dev/null
+++ b/net/tools/quic/certs/generate-certs.sh
@@ -0,0 +1,61 @@
+#!/bin/sh
+
+# Copyright 2015 The Chromium Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+# This script generates a CA and leaf cert which can be used for the
+# quic_server.
+
+try() {
+ "$@" || (e=$?; echo "$@" > /dev/stderr; exit $e)
+}
+
+try rm -rf out
+try mkdir out
+
+try /bin/sh -c "echo 01 > out/2048-sha256-root-serial"
+touch out/2048-sha256-root-index.txt
+
+# Generate the key.
+try openssl genrsa -out out/2048-sha256-root.key 2048
+
+# Generate the root certificate.
+try openssl req \
+ -new \
+ -key out/2048-sha256-root.key \
+ -out out/2048-sha256-root.req \
+ -config ca.cnf
+
+try openssl x509 \
+ -req -days 3 \
+ -in out/2048-sha256-root.req \
+ -signkey out/2048-sha256-root.key \
+ -extfile ca.cnf \
+ -extensions ca_cert \
+ -text > out/2048-sha256-root.pem
+
+# Generate the leaf certificate request.
+try openssl req \
+ -new \
+ -keyout out/leaf_cert.key \
+ -out out/leaf_cert.req \
+ -config leaf.cnf
+
+# Convert the key to pkcs8.
+try openssl pkcs8 \
+ -topk8 \
+ -outform DER \
+ -inform PEM \
+ -in out/leaf_cert.key \
+ -out out/leaf_cert.pkcs8 \
+ -nocrypt
+
+# Generate the leaf certificate to be valid for three days.
+try openssl ca \
+ -batch \
+ -days 3 \
+ -extensions user_cert \
+ -in out/leaf_cert.req \
+ -out out/leaf_cert.pem \
+ -config ca.cnf
« no previous file with comments | « net/tools/quic/certs/ca.cnf ('k') | net/tools/quic/certs/leaf.cnf » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698